org.apache.ignite.internal.processors.continuous

## Class AbstractContinuousMessage

- java.lang.Object
- - org.apache.ignite.internal.processors.continuous.AbstractContinuousMessage

All Implemented Interfaces:
  Serializable, DiscoveryCustomMessage

Direct Known Subclasses:
  StartRoutineAckDiscoveryMessage, StartRoutineDiscoveryMessage, StartRoutineDiscoveryMessageV2, StopRoutineAckDiscoveryMessage, StopRoutineDiscoveryMessage

    public abstract class AbstractContinuousMessage
    extends Object
    implements DiscoveryCustomMessage

See Also:
  Serialized Form

### Field Summary

Fields
`protected UUID` `routineId` Routine ID.

### Constructor Summary

Constructors
`protected` `AbstractContinuousMessage(UUID id)`

### Method Summary

All Methods Instance Methods Concrete Methods
`@Nullable DiscoCache` `createDiscoCache(GridDiscoveryManager mgr, AffinityTopologyVersion topVer, DiscoCache discoCache)` Creates new discovery cache if message caused topology version change.
`IgniteUuid` `id()`
`boolean` `isMutable()`
`UUID` `routineId()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.managers.discovery.DiscoveryCustomMessage

`ackMessage`

### Field Detail

#### routineId

    protected final UUID routineId

Routine ID.

### Constructor Detail

#### AbstractContinuousMessage

    protected AbstractContinuousMessage(UUID id)

Parameters:
  `id` - Id.

### Method Detail

#### id

    public IgniteUuid id()

Specified by:
  `id` in interface `DiscoveryCustomMessage`
Returns:
  Unique custom message ID.

#### routineId

    public UUID routineId()

Returns:
  Routine ID.

#### isMutable

    public boolean isMutable()

Specified by:
  `isMutable` in interface `DiscoveryCustomMessage`
Returns:
  `True` if message can be modified during listener notification. Changes will be sent to next nodes.

#### createDiscoCache

    @Nullable
    public @Nullable DiscoCache createDiscoCache(GridDiscoveryManager mgr,
                                                           AffinityTopologyVersion topVer,
                                                           DiscoCache discoCache)

Creates new discovery cache if message caused topology version change.

Specified by:
  `createDiscoCache` in interface `DiscoveryCustomMessage`
Parameters:
  `mgr` - Discovery manager.
  `topVer` - New topology version.
  `discoCache` - Current discovery cache.
Returns:
  Reused discovery cache.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022